> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-core-client-v1-upgraded_client_states.md).

# /ibc/core/client/v1/upgraded\_client\_states

UpgradedClientState queries an Upgraded IBC light client.

#### **Parameters:**

None

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/ibc/core/client/v1/upgraded_client_states

// Result
{
    "code": 5,
    "message": "rpc error: code = NotFound desc = light client not found: key not found",
    "details": []
}
```

{% endcode %}
